# dag 平台 jupyterlab

## 部署

```shell

# 调试
helm template aihub-dag-jpt  ./ --dry-run --debug -f values.yaml -n airflow --set "ingress.jupyterlab.hosts[0].host=jupyterlab.sxkj.com,ingress.jupyterlab.hosts[0].paths[0].path=/hello" --set jupyterlab.image.repository=SXKJ:32775/jupyterlab:dev

helm upgrade --install aihub-dag-jpt  ./ -f values.yaml -n airflow \
--set "ingress.jupyterlab.hosts[0].host=jupyterlab.sxkj.com,ingress.jupyterlab.hosts[0].paths[0].path=/nbss" \
--set jupyterlab.image.repository=SXKJ:32775/jupyterlab \
--set jupyterlab.image.tag=dev --set jupyterlab.config.password="\"argon2:\$argon2id\$v=19\$m=10240\,t=10\,p=8\$vSn0+TR0clV8kla6yqcZqQ\$XgjDauBkBL5aY8C8668HKJjoTX7BUT/WccJ+BeANHq4\"" \
--set jupyterlab.config.baseUrl="/nbss" \
--set jupyterlab.config.workspace="hello1"


helm upgrade --install aihub-dag-jpt-1  ./ -f values.yaml -n airflow \
--set "ingress.jupyterlab.hosts[0].host=jupyterlab.sxkj.com,ingress.jupyterlab.hosts[0].paths[0].path=/nbsss" \
--set jupyterlab.image.repository=SXKJ:32775/jupyterlab \
--set jupyterlab.image.tag=dev --set jupyterlab.config.password="\"argon2:\$argon2id\$v=19\$m=10240\,t=10\,p=8\$vSn0+TR0clV8kla6yqcZqQ\$XgjDauBkBL5aY8C8668HKJjoTX7BUT/WccJ+BeANHq4\"" \
--set jupyterlab.config.baseUrl="/nbsss" \
--set jupyterlab.config.workspace="hello2"
```
